This queue is for tickets about the PerlQt CPAN distribution.

Report information
The Basics
Id:
1569
Status:
new
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
marek.rouchal [...] infineon.com
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
2.105
Fixed in:
(no value)



Subject: PerlQt does not build on Solaris against Qt-2.3.2
Hello, I try to build PerlQt on Solaris 7 (Sparc) with Forte 6.2 compiler and Perl 5.8.0. I use the Qt-2.0 setting (1.4 was even worse), and the Qt version is 2.3.2. I get the following compiler error: $ make cp Qt.pm blib/lib/Qt.pm CC -c -I/home/hwadm/Perl/TWW/include -I/usr/openwin/include -I. -I./include -D_REENTRANT -I/home/hwadm/Perl/TWW/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O -DVERSION=\"2.105\" -DXS_VERSION=\"2.105\" -KPIC "-I/opt/perl_5.8.0/lib/sun4-solaris-thread-multi/CORE" -DPIGDEBUG=0 -DPIG_QT -DPIGPERL_PL=8 -DPIGPERL_SV=0 typesizes.c CC -L/home/hwadm/Perl/TWW/lib -o typesizes typesizes.o ./typesizes > typelist /opt/perl_5.8.0/bin/perl gensigslot Generating Signal/Slot templates...... CC -c -I/home/hwadm/Perl/TWW/include -I/usr/openwin/include -I. -I./include -D_REENTRANT -I/home/hwadm/Perl/TWW/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O -DVERSION=\"2.105\" -DXS_VERSION=\"2.105\" -KPIC "-I/opt/perl_5.8.0/lib/sun4-solaris-thread-multi/CORE" -DPIGDEBUG=0 -DPIG_QT -DPIGPERL_PL=8 -DPIGPERL_SV=0 pigboot.c "pigboot.c", line 125: Error: cop_stash is not a member of cop. "pigboot.c", line 125: Error: Cannot use int to initialize const char*. "pigboot.c", line 194: Error: cop_stash is not a member of cop. "pigboot.c", line 194: Error: Cannot use int to initialize const char*. 4 Error(s) detected. *** Error code 4 make: Fatal error: Command failed for target `pigboot.o' Can you help? Cheers, Marek Rouchal


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.